Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxunit
Class JXTestCase

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--net.sourceforge.jxunit.JXTestCase

All Implemented Interfaces:
  Test

public class JXTestCase
extends TestCase

Constructor Summary
`JXTestCase(String testName, JXProperties properties)`

Method Summary
`static void` | `buildSuite(String cwd, TestSuite suite)`
`static void` | `buildTest(String cwd, TestSuite suite)`
`String` | `getAbsolutePath(String path)`
`String` | `getAbsolutePath(String path, boolean indirect)`
`static String` | `getAbsolutePath(String testDirectory, String path)`
`QDoc` | `getFileSchema(QDoc schemaDoc, String file, boolean indirect)`
`Object` | `getObjectNoSchema(String file, String value, boolean indirect)`
`Object` | `getObjectSchema(String schema, String schemaClass, String file, String value, boolean indirect)`
`Object` | `getObjectValue(String schema, String schemaClass, String file, String value, boolean indirect)`
`Object` | `getObjectValueNoSchema(String value, boolean indirect)`
`JXProperties` | `getProperties()`
`String` | `getString(String file, String value, boolean indirect)`
`String` | `getStringFile(String file, boolean indirect)`
`String` | `getStringValue(String value, boolean indirect)`
`String` | `getTestDirectory()`
`QDoc` | `getValueSchema(QDoc schemaDoc, String value, boolean indirect)`
`String` | `read(String fileName)`
`String` | `readAll(InputStreamReader reader)`
`protected void` | `runTest()`
`void` | `setTestDirectory(String testDirectory)`
`static Test` | `suite()`
`String` | `urlRead(String urlString)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXTestCase

    public JXTestCase(String testName,
                      JXProperties properties)

Method Detail

### getProperties

    public JXProperties getProperties()

### getTestDirectory

    public String getTestDirectory()

### readAll

    public String readAll(InputStreamReader reader)
                   throws Throwable

### read

    public String read(String fileName)
                throws Throwable

### urlRead

    public String urlRead(String urlString)
                   throws Throwable

### getAbsolutePath

    public String getAbsolutePath(String path,
                                  boolean indirect)

### getAbsolutePath

    public String getAbsolutePath(String path)

### getAbsolutePath

    public static String getAbsolutePath(String testDirectory,
                                         String path)

### setTestDirectory

    public void setTestDirectory(String testDirectory)

### getString

    public String getString(String file,
                            String value,
                            boolean indirect)
                     throws Throwable

### getStringValue

    public String getStringValue(String value,
                                 boolean indirect)
                          throws Throwable

### getStringFile

    public String getStringFile(String file,
                                boolean indirect)
                         throws Throwable

### getObjectValue

    public Object getObjectValue(String schema,
                                 String schemaClass,
                                 String file,
                                 String value,
                                 boolean indirect)
                          throws Throwable

### getObjectSchema

    public Object getObjectSchema(String schema,
                                  String schemaClass,
                                  String file,
                                  String value,
                                  boolean indirect)
                           throws Throwable

### getValueSchema

    public QDoc getValueSchema(QDoc schemaDoc,
                               String value,
                               boolean indirect)
                        throws Throwable

### getFileSchema

    public QDoc getFileSchema(QDoc schemaDoc,
                              String file,
                              boolean indirect)
                       throws Throwable

### getObjectNoSchema

    public Object getObjectNoSchema(String file,
                                    String value,
                                    boolean indirect)
                             throws Throwable

### getObjectValueNoSchema

    public Object getObjectValueNoSchema(String value,
                                         boolean indirect)
                                  throws Throwable

### runTest

    protected void runTest()
                    throws Throwable

  Overrides:
    `runTest` in class `TestCase`

### suite

    public static Test suite()
                      throws Throwable

### buildTest

    public static void buildTest(String cwd,
                                 TestSuite suite)
                          throws Throwable

### buildSuite

    public static void buildSuite(String cwd,
                                  TestSuite suite)
                           throws Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD